| Qore DiscordDataProvider Module Reference 2.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
DiscordDataProvider::DiscordGuildGetDataProvider Class Reference

Data provider API for retrieving a specific guild. More...

`#include <DiscordGuildGetDataProvider.qc.dox.h>`

Inheritance diagram for DiscordDataProvider::DiscordGuildGetDataProvider:
[legend]

## Public Member Functions
| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (DiscordRestClient::DiscordRestClient rest, hash< auto > guild)
| Creates the object from a REST connection.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
hash< DataProvider::DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.
Public Member Functions inherited from DiscordDataProvider::DiscordDataProviderBase
| constructor ()
| Creates the object.
| constructor (DiscordRestClient rest, *Logger::LoggerInterface logger)
| Creates the object.
| constructor (DiscordRestConnection conn, *Logger::LoggerInterface logger)
| Creates the object.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Public Attributes
const | ProviderInfo = ...
| Provider info.
const | ProviderSummaryInfo = ...
| Provider summary info.
const | RequestType = AbstractDataProviderTypeMap."nothing"
| Request type.
const | ResponseType = new DiscordGuildDataType()
| Response type.
Public Attributes inherited from DiscordDataProvider::DiscordDataProviderBase
const | MaxIoRetries = 5
| Max retries.
const | RetrySet = ...
| IO errors for REST retries.

## Protected Member Functions
auto | doRequestImpl (auto req, *hash< auto > request_options)
| Makes a request and returns the response.
*DataProvider::AbstractDataProviderType | getRequestTypeImpl ()
| Returns the description of a successful request message, if any.
*DataProvider::AbstractDataProviderType | getResponseTypeImpl ()
| Returns the description of a response message, if this object represents a response message.
Protected Member Functions inherited from DiscordDataProvider::DiscordDataProviderBase
hash< auto > | doRestCommand (string method, string path, auto body, reference< hash< auto > > info)
| Makes a REST call and returns the response; handles rate limit responses.
hash< auto > | getGuild (string id)
| Retrieves info for the given guild; must be accessible to the calling user.
bool | retry (hash< ExceptionInfo > ex, reference< int > retries)
| Returns True if the error indicates that the operation should be retried.

## Protected Attributes
hash< auto > | guild
| The guild's data.
Protected Attributes inherited from DiscordDataProvider::DiscordDataProviderBase
*DiscordRestConnection | conn
| The connection object used to create the REST client.
*DiscordRestClient | rest
| The REST client object for API calls.

## Additional Inherited Members
Static Public Member Functions inherited from DiscordDataProvider::DiscordDataProviderBase
static | threadWait (date wait_period)
| Wait for a given period of time.

## Detailed Description

Data provider API for retrieving a specific guild.

## Member Function Documentation

## ◆ doRequestImpl()

auto DiscordDataProvider::DiscordGuildGetDataProvider::doRequestImpl | ( | auto | req,
|  | *hash< auto > | request_options )
| protected

Makes a request and returns the response.

Parameters

  req | the request to serialize and make according to the request type
  request_options | the request options; will be processed by validateRequestOptions()

Returns
  the response to the request

## ◆ getRequestTypeImpl()

*DataProvider::AbstractDataProviderType DiscordDataProvider::DiscordGuildGetDataProvider::getRequestTypeImpl | ( |  | ) |
| protected

Returns the description of a successful request message, if any.

Returns
  the request type for this provider

## ◆ getResponseTypeImpl()

*DataProvider::AbstractDataProviderType DiscordDataProvider::DiscordGuildGetDataProvider::getResponseTypeImpl | ( |  | ) |
| protected

Returns the description of a response message, if this object represents a response message.

Returns
  the response type for this response message